import request from '@/utils/request'

// 上传小文件---5M以内,使用OCR识别
export function uploadSmallFileByOcr(data) {
    return request({
        url: '/smartPlatform/commonUpload/uploadSmallFileByOcr',
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data: data
    })
}

// 上传小文件---5M以上,使用OCR识别
export function uploadLargeFileByOcr(data) {
    return request({
        url: '/smartPlatform/commonUpload/uploadLargeFileByOcr',
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data: data
    })
}

// 上传小文件---5M以内
export function uploadSmallFile(data) {
    return request({
        url: '/smartPlatform/commonUpload/uploadSmallFile',
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data: data
    })
}

// 上传大文件---5M以上
export function uploadLargeFile(data) {
    return request({
        url: '/smartPlatform/commonUpload/uploadLargeFile',
        method: 'post',
        headers: {
            'Content-Type': 'multipart/form-data'
        },
        data: data
    })
}